<?php

function _pp_ed_drupal_get_message_text() {
  // Do our own drupal message handling
  $messages = drupal_get_messages();
  if (!empty($messages)) {
    $text = array();
    // _dump($messages);
    foreach ($messages as $type) {
      foreach ($type as $message) {
        $text[] = $message;
      }      
    }
    $message_block = '<ul><li>';
    $last = array_pop($text);
    foreach ($text as $message) {
      $message_block .= $message . '</li><li>';
    }
    $message_block .= $last . "</li></ul>\n";
  }
  return $message_block;
}


function _pp_ed_tinymce_popup_wrap($title, $head, $text) {
  global $base_url;
  
  $output[] = '<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">';
  $output[] = '<html xmlns="http://www.w3.org/1999/xhtml">';
  $output[] = '<head>';
  $output[] = ' <title>' . check_plain($title) . '</title>';
  $output[] = ' <script type="text/javascript" src="' . $base_url . '/misc/jquery.js"></script>';
  $output[] = ' <script type="text/javascript" src="' . $base_url . '/' . drupal_get_path('module', 'pp_ed') . '/tinymce/jscripts/tiny_mce/tiny_mce_popup.js' . '"></script>';
  $output[] = $head;
  $output[] = '</head>';
  $output[] = '<body>';
  $output[] = '';

  $output[] = '<h1>' . check_plain($title) . '</h1>';
  $output[] = _pp_ed_drupal_get_message_text();
  $output[] = $text;

  $output[] = '</body>';
  $output[] = '</html>';
  return join("\n", $output);
}


