if (Drupal.jsEnabled) {
  tinyMCE_GZ.init({
    theme : "advanced",
    theme_advanced_resizing : true,
    theme_advanced_resize_horizontal: false, 
    theme_advanced_resizing_use_cookie: false, 
    theme_advanced_toolbar_location: "top", 
    theme_advanced_toolbar_align: "left", 
    theme_advanced_path_location: "bottom", 
    theme_advanced_blockformats : "p,address,pre,h2,h3,h4,h5,h6", 
    plugins : "safari, paste, fullscreen, table, -pp_ed_image, -break, -pp_ed_media", 
    theme_advanced_buttons1 : 'bold, italic, underline, strikethrough, |, bullist, numlist, |, justifyleft, justifycenter, justifyright, justifyfull, |, link, unlink, |, break, pp_ed_image, pp_ed_image_delete , |, pp_ed_media, pp_ed_media_del', 
    theme_advanced_buttons2 : 'formatselect, forecolor, |, pastetext, pasteword, |, charmap, |, outdent, indent, blockquote, |, undo, redo, |, code, fullscreen', 
    theme_advanced_buttons3 : 'tablecontrols, visualaid', 
    content_css : Drupal.settings.pp_ed.tinymce_content_css
  });  
}

